Summary:	xeyes application - a follow the mouse X demo
Summary(pl.UTF-8):	Aplikacja xeyes - program demonstracyjny dla X obrazujący śledzenie myszy
Name:		xorg-app-xeyes
Version:	1.3.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xeyes-%{version}.tar.xz
# Source0-md5:	277154a21954678ff0bff0d696278c08
Source1:	xeyes.desktop
Source2:	xeyes.png
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libxcb-devel >= 1.9
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	pkgconfig(x11-xcb)
BuildRequires:	pkgconfig(xcb-damage)
BuildRequires:	pkgconfig(xcb-present) >= 1.9
BuildRequires:	pkgconfig(xcb-xfixes)
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel >= 1.7
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrender-devel >= 0.4
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	libxcb >= 1.9
Requires:	xorg-lib-libXi >= 1.7
Requires:	xorg-lib-libXrender >= 0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xeyes application is a "follow the mouse" X demo, using the X SHAPE
extension.

%description -l pl.UTF-8
Aplikacja xeyes to program demonstracyjny dla X obrazujący śledzenie
myszy, wykorzystujący rozszerzenie X SHAPE.

%prep
%setup -q -n xeyes-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xeyes.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xeyes.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xeyes
%{_desktopdir}/xeyes.desktop
%{_pixmapsdir}/xeyes.png
%{_mandir}/man1/xeyes.1*
%changelog
* Tue Jul 18 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xeyes.git;a=log;h=master

* Tue Jul 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 8ed2e75
- updated to 1.3.0

* Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> ef1b286
- updated to 1.2.0

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 33e2baf
- updated to 1.1.2

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 5d3db51
- fix files
- rel 2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 348213a
- dropped pre-cvs changelog

* Sat Nov 27 2010 Jakub Bogusz <qboosh@pld-linux.org> add9915
- updated to 1.1.1

* Thu May 27 2010 Jakub Bogusz <qboosh@pld-linux.org> 8fb5dd1
- updated to 1.1.0
- now Xrender is used by default

* Mon Oct 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a3ba379
- up to 1.0.991

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ce9856a
- release 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> b6978fe
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 99a2cd4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6e9328f
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 76588ae
- use individual dir, more verbose files, release 1

* Fri Feb 03 2006 Jakub Bogusz <qboosh@pld-linux.org> f7cd881
- merged xeyes.{desktop,png} from monolith

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 74305b2
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 1e9406f
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> bf13372
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 7df4b84
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> d80386b
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 33c3332
- standard permisions to binaries

